Attach file to card

PUT
https://example.kaiten.ru/api/latest/cards/{card_id}/files
Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Headers
NameValue
Content-Typemultipart/form-data
Attributes
NameTypeConstraintsDescription
file
required
binary
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
card_cover

boolean

Flag indicating that image used as card cover
author_id

integer

Author id
card_id

integer

Card id
comment_id

integer

Comment id
deleted

boolean

Deleted flag
external

boolean

External flag
id

integer

File id
name

string

File name
size

integer

File size
sort_order

number

Position
type

enum

1 - attachment, 2 - googleDrive, 3 - dropBox, 4 - box, 5 -oneDrive, 6 - yandex disc, 7 - comment email, 8 - commentAttachment, 11 - restricted access file (retrieve requires API token)
url

string

Uploaded url
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
Forbidden. also returned when the company forbids uploading files without restricted access through the public api — the body carries code: "public_api_legacy_file_upload_disabled". see the migration guide at /restricted-access-files-migration.Response body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

Upload file

  1  curl --request PUT \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/files' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: multipart/form-data' \
  5       
  6       

Response

ClickTry It!to start a request and see the response here!